<?php  
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'Luzuk' ),
		'priority' =>20
	)
);

lzAddElement($wp_customize, 'luzuk_contactus_subtitle', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Sub Title", 'luzuk_sanitize_text', 'OUR CONTACT');

addColorPalatOption($wp_customize, 'luzuk_contactus_newsbtitleClr', 'luzuk_premium_contactus_section', 'Sub Title Color', '#eba546');

lzAddElement($wp_customize, 'luzuk_contactus_maintitle', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Title", 'luzuk_sanitize_text', 'We Are Here To Help You ');

addColorPalatOption($wp_customize, 'luzuk_contactus_newtitleClr', 'luzuk_premium_contactus_section', 'Title Color', '#000');

lzAddElement($wp_customize, 'luzuk_contactus_text', 'luzuk_premium_contactus_section', 'textarea', $label="Contact Us Text", 'luzuk_sanitize_text', 'Got a project in mind? We’d love to hear about it. Take five minutes to fill out our project form so that we can get to know you and understand your project.');

addColorPalatOption($wp_customize, 'luzuk_contactus_newtxtClr', 'luzuk_premium_contactus_section', 'Text Color', '#858585');

lzCustomLable($wp_customize, 'contactus_contact_label', 'luzuk_premium_contactus_section', 'Contact Form Block Setting');

lzAddElement($wp_customize, 'luzuk_contactus_num1', 'luzuk_premium_contactus_section', 'text', $label="Contact Us 1st Box Number", 'luzuk_sanitize_text', '01');

lzAddElement($wp_customize, 'luzuk_contactus_mailatitle', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Email Label", 'luzuk_sanitize_text', 'EMAIL US');

lzAddElement($wp_customize, 'luzuk_contactus_email', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Email", 'luzuk_sanitize_text', 'info@gmail.com');


lzAddElement($wp_customize, 'luzuk_contactus_num2', 'luzuk_premium_contactus_section', 'text', $label="Contact Us 2nd Box Number", 'luzuk_sanitize_text', '02');

lzAddElement($wp_customize, 'luzuk_contactus_phonetitle', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Phone Label", 'luzuk_sanitize_text', 'CALL US');

lzAddElement($wp_customize, 'luzuk_contactus_phone', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Phone", 'luzuk_sanitize_text', '+91 8542971254');


lzAddElement($wp_customize, 'luzuk_contactus_num3', 'luzuk_premium_contactus_section', 'text', $label="Contact Us 3rd Box Number", 'luzuk_sanitize_text', '03');

lzAddElement($wp_customize, 'luzuk_contactus_addtitle', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Address Label", 'luzuk_sanitize_text', 'LOCATION');

lzAddElement($wp_customize, 'luzuk_contactus_address', 'luzuk_premium_contactus_section', 'textarea', $label="Address Line One", 'luzuk_sanitize_text', 'Add Contact Address here..');

lzAddElement($wp_customize, 'luzuk_contactus_addressdata1', 'luzuk_premium_contactus_section', 'textarea', $label="Address Line Two", 'luzuk_sanitize_text', '');

lzAddElement($wp_customize, 'luzuk_contactus_addressdata2', 'luzuk_premium_contactus_section', 'textarea', $label="Address Line Three", 'luzuk_sanitize_text', '');



lzCustomLable($wp_customize, 'allcontact_heading2label', 'luzuk_premium_contactus_section', 'Contact Title Font Size Setting:');

$wp_customize->add_setting(
    'contactpages_innerpageheading2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '40px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactpages_innerpageheading2',
    array(
        'settings'      => 'contactpages_innerpageheading2',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Contact Title Font Size', 'luzuk-premium' )
    )
);

//lzCustomLable($wp_customize, 'contactus_Form_label', 'luzuk_premium_contactus_section', 'Form Block Setting');

$wp_customize->add_setting(
	'luzuk_contactus_formtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Enquiry Now', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_formtitle',
	array(
		'settings'      => 'luzuk_contactus_formtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Title', 'Luzuk Premium' )
	)
);

//Contact heading color
addColorPalatOption($wp_customize, 'luzuk_contactus_titleColor', 'luzuk_premium_contactus_section', 'Form Title Color', '#000');

lzAddElement($wp_customize, 'luzuk_contactus_shortcode', 'luzuk_premium_contactus_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

//right Side
lzCustomLable($wp_customize, 'aboutarea_lhs', 'luzuk_premium_contactus_section', 'Right Image Setting:');

$wp_customize->add_setting(
    'contactbx_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'contactbx_image',
        array(
            'section' => 'luzuk_premium_contactus_section',
            'settings' => 'contactbx_image',
            'description' => __('Recommended Image Size: 550X600px', 'luzuk-premium')
        )
    )
);

addColorPalatOption($wp_customize, 'luzuk_contactus_imgbrdclr', 'luzuk_premium_contactus_section', 'Image Hover Border Color', '#eba546');


lzCustomLable($wp_customize, 'contactus_Address_label', 'luzuk_premium_contactus_section', 'Address Map Setting');

// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Location Map', 'Luzuk' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your map embade code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code for map', 'Luzuk')));


lzCustomLable($wp_customize, 'contactus_Add_color', 'luzuk_premium_contactus_section', 'Set Contact Colors:');

//Form Label color
addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#000');

//Form text and placeholder color
addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text and Placeholder Color', '#585656');

//Form border bottom color
addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Background Color', '#f1f1f1');

//Button color
addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#fff');
addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#eba546');

//Button bg color
addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button Background Color', '#eba546');
addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghoverColor', 'luzuk_premium_contactus_section', 'Form Button Background Hover Color', '#fff');

//Contact box color
addColorPalatOption($wp_customize, 'luzuk_contactus_boxColor', 'luzuk_premium_contactus_section', 'Contact Box Color One', '#fff');

//Contact box color
addColorPalatOption($wp_customize, 'luzuk_contactus_box1Color', 'luzuk_premium_contactus_section', 'Contact Box Color Two', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_bxnumClr', 'luzuk_premium_contactus_section', 'Contact Box Number Color', '#f4f4f4');

addColorPalatOption($wp_customize, 'luzuk_contactus_detailiconColor', 'luzuk_premium_contactus_section', 'Contact Phone, Email, Address Icon Color', '#eba546');

//Contact Details Email color
addColorPalatOption($wp_customize, 'luzuk_contactus_detailemailColor', 'luzuk_premium_contactus_section', 'Contact Box Title Color', '#000');

//Contact Details Information color
addColorPalatOption($wp_customize, 'luzuk_contactus_detailinfoColor', 'luzuk_premium_contactus_section', 'Contact Box Email & Phone No. & Text Color', '#000');

//Contact Details Email hover color
addColorPalatOption($wp_customize, 'luzuk_contactus_detailemailhoverColor', 'luzuk_premium_contactus_section', 'Contact Email & Phone No. Hover Color', '#eba546');
