<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'about', 'about_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_title_heading',
        array(
            'settings'      => 'about_title_heading',
            'section'       => 'about_area',
            'label'         => __( 'Section Heading, Images, Text, List Setting :', 'luzuk-premium' ),
        )
    )
);    


$wp_customize->add_setting(
    'about_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'WHO WE ARE', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title',
    array(
        'settings'      => 'about_title',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_sectitle_color', 'about_area', 'Section Heading Color ', '#000');

addColorPalatOption($wp_customize, 'about_area_secsubtitleborder_color', 'about_area', 'Section Heading Border Color ', '#eba546');

//Left Side
lzCustomLable($wp_customize, 'aboutarea_lhs2', 'about_area', 'Section Left Image ');

$wp_customize->add_setting(
    'about_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image',
        array(
            'section' => 'about_area',
            'settings' => 'about_image',
            'description' => __('Recommended Image Size: 400X600px', 'luzuk-premium')
        )
    )
);

addColorPalatOption($wp_customize, 'about_cirimghvclr', 'about_area', 'Section Image Border Color ', '#fff');


//Right Side
lzCustomLable($wp_customize, 'aboutarea_rhs', 'about_area', 'Right Box Text Setting:');



$wp_customize->add_setting(
    'aboutbottom_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Sed ut perspiciatis unde omnis iste natus error sit voluptatem', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutbottom_title',
    array(
        'settings'      => 'aboutbottom_title',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Title', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_btnrhstitclr', 'about_area', 'Section Title Color', '#000');

$wp_customize->add_setting(
    'about_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'accusantium dolore mque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dict eaque ipsa quae ab illo inventore veritatis et quasi architecto. Iinventore veritatis et quasi architecto beatae vitae dict eaque ipsa quae ab illo inventore veritatis et quasi architecto.ntore veritatis et quasi archit. quasi architecto beatae vitae dict eaque ipsa quae ab illo inventore.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_text',
    array(
        'settings'      => 'about_text',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'aboutsectxt_clr', 'about_area', 'Section Text Color ', '#898989');

$wp_customize->add_setting(
        'about_textlist',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( '
                <li>Natus erroroluptatem</li>
                <li>Accusantium doloremue</li>
                <li>Laudantium unde</li>', 'luzuk-premium' )
        )
    );
$wp_customize->add_control(
    'about_textlist',
    array(
        'settings'      => 'about_textlist',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section List One', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
        'about_textlist2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( '
                <li>Natus erroroluptatem</li>
                <li>Accusantium doloremue</li>
                <li>Laudantium unde</li>', 'luzuk-premium' )
        )
    );
$wp_customize->add_control(
    'about_textlist2',
    array(
        'settings'      => 'about_textlist2',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section List Two', 'luzuk-premium' )
    )
);



addColorPalatOption($wp_customize, 'about_area_sectext_color', 'about_area', 'List Text Color ', '#898989');
addColorPalatOption($wp_customize, 'about_area_sectexticon_color', 'about_area', 'List Icon Color ', '#eba546');


lzCustomLable($wp_customize, 'about_lastimgdisplay', 'about_area', 'Section Small Image Display Setting:');

//$wp_customize->add_setting( 'about_lastimg_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'about_lastimg_display', array( 'label' => 'about Small Image Display', 'section' => 'about_area', 'settings' => 'about_lastimg_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Small Image', 'hide' => 'Hide Small Image', ), ) ); 

$wp_customize->add_setting(
    'about_bottomrhs_image_heading1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_bottomrhs_image_heading1',
        array(
            'settings'      => 'about_bottomrhs_image_heading1',
            'section'       => 'about_area',
            'label'         => __( 'Section Bottom Image ', 'luzuk-premium' ),
        )
    )
);

    $wp_customize->add_setting(
    'about_bottomrhs_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_bottomrhs_image',
        array(
            'section' => 'about_area',
            'settings' => 'about_bottomrhs_image',
            'description' => __('Recommended Image Size: 215X125px', 'luzuk-premium')
        )
    )
);

lzCustomLable($wp_customize, 'about_areabtndisplay', 'about_area', 'Section Bottom Image & Text Setting:');

addColorPalatOption($wp_customize, 'about_btnrhsbxclr', 'about_area', 'Section Bottom Right Box Background Color ', '#f6f6f6');

$wp_customize->add_setting(
    'aboutbottom_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusant ium dolore mque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae voluptatem accus antium dolore mque laudantium, totam dict eaque ipsa.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutbottom_text',
    array(
        'settings'      => 'aboutbottom_text',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Bottom Right Box Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_btnrhstxtclr', 'about_area', 'Section Bottom Right Box Text Color ', '#898989');